Skip to main content
GET
/
messaging
/
settings
List messaging settings
curl --request GET \
  --url https://api.partoo.co/v2/messaging/settings \
  --header 'x-APIKey: <api-key>'
import requests

url = "https://api.partoo.co/v2/messaging/settings"

headers = {"x-APIKey": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-APIKey': '<api-key>'}};

fetch('https://api.partoo.co/v2/messaging/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "settings": [
    {
      "id": 123,
      "business_id": "<string>",
      "business_name": "<string>",
      "business_address": "1 Rue de la Paix, 75000 Paris",
      "welcome_message": "<string>",
      "offline_message": "<string>",
      "uses_business_hours": true,
      "custom_chat_hours": {
        "monday": [
          "10:00-14:00"
        ],
        "tuesday": [
          "10:00-14:00"
        ],
        "wednesday": [
          "10:00-14:00"
        ],
        "thursday": [
          "10:00-14:00"
        ],
        "friday": [
          "10:00-14:00"
        ],
        "saturday": [
          "10:00-14:00"
        ],
        "sunday": [
          "10:00-14:00"
        ]
      },
      "is_launched": true
    }
  ],
  "page": 1,
  "count": 1,
  "max_page": 1
}
{
"errors": {
"authentication": "User not authenticated"
}
}
{
"errors": {
"authorization": "Operation not allowed"
}
}

Authorizations

x-APIKey
string
header
required

The authentication system on Partoo API is using API Key that should be put in the header of the request (the name of the header is x-APIKey). An api_key is linked to a user. This user's role will give you different access level to the API features.

Query Parameters

page
integer
default:1

Current page number.

Required range: x >= 1
per_page
integer
default:30

Number of items to return per page.

Required range: 1 <= x <= 100
business__in
string[]

Filter by business ids. Use a comma-separated list to provide multiple ids.

Example:

"a1c9f37b4deca92f83b61d02,9f4e2a8c0d73b154e621bc97,c73b15e9fa42d60b3a8c21ef"

Response

OK

Response object

settings
object[]

The list of Messaging Settings, paginated.

page
integer

The current page number.

Example:

1

count
integer

Total number of results available for the filters and dimensions requested.

Example:

1

max_page
integer

Total number of pages available for this request.

Example:

1